Name:          perl-Verilog-Perl
Version:       3.223
Release:       2%{?dist}
Summary:       Verilog parsing routines

License:       LGPLv3 or Artistic 2.0
Group:         Applications/Engineering

URL:           http://www.veripool.org/wiki/verilog-perl
Source0:       http://search.cpan.org/CPAN/authors/id/W/WS/WSNYDER/Verilog-Perl-%{version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: perl(Test::Pod)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: gdbm-devel
BuildRequires: flex bison

Requires:      perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Provides:      perl-Verilog     = %{version}-%{release}
Obsoletes:     perl-Verilog     < 3.213-2

%description
This package provides functions to support writing utilities
that use the Verilog language.

%prep
%setup -q -n Verilog-Perl-%{version}

#Filtering Requires: and Provides
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
sed -e '/perl(mypackage)/d' -e '/perl(imp_test_pkg)/d'
EOF

%global __perl_provides %{_builddir}/Verilog-Perl-%{version}/%{name}-prov
chmod +x %{__perl_provides}

cat << \EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(mypackage)/d' -e '/perl(imp_test_pkg)/d'
EOF

%global __perl_requires %{_builddir}/Verilog-Perl-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor \
     PREFIX=%{_prefix} \
     LDFLAGS="-L%{_libdir}" \
     LDDLFLAGS="%{optflags} -L%{_libdir}"

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}


find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*


# Fedora Electronic Lab : Package Self Test
%check
make test


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes COPYING README verilog/
%dir %{perl_vendorarch}/Verilog
%dir %{perl_vendorarch}/auto/Verilog
%{_bindir}/*
%{perl_vendorarch}/Verilog/*
%{perl_vendorarch}/auto/Verilog/*
%{_mandir}/man?/*


%changelog
* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 3.223-2
- Mass rebuild with perl-5.12.0

* Mon Dec 21 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.223-1
- New upstream release

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 3.222-2
- rebuild against perl 5.10.1

* Wed Nov 25 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.222-1
- New upstream release

* Tue Nov 24 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.221-1
- New upstream release

* Fri Sep 11 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.213-2
- Pacakge review #522777 Comment2

* Fri Sep 11 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.213-1
- new upstream package

* Sat Sep 05 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.212-2
- prepared for second package review
- Bug 488670 -  Package should be renamed into perl-Verilog-Perl

* Mon Jun 20 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.212-1
- upstream v3.212

* Thu Jun 18 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.211-1
- upstream v3.211

* Thu May 21 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.210-1
- upstream v3.210

* Wed Mar 04 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.120-1
- upstream v3.120

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.110-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jan 28 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.110-1
- upstream v3.110

* Sat Jan 03 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.100-1
- upstream v3.100
- removed patch for rawhide's bison

* Sat Dec 20 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.045-1
- upstream v3.045
- updated to the recommendations of #476386-c3

* Sun Dec 14 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.044-2
- Added Bison and flex as BR
- fixed the arch build

* Sat Dec 06 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> 3.044-1
- Initial package for fedora
